求助:安装fcitx输入法问题

为当前最终发行版之前的所有版本提供支持
回复
xingyuan
帖子: 3
注册时间: 2006-05-24 8:54
送出感谢: 0
接收感谢: 0

求助:安装fcitx输入法问题

#1

帖子 xingyuan » 2006-05-24 15:54

快速设置指南说

$sudo apt-get install fcitx
$sudo sh -c " echo 'export XMODIFIERS=@im=fcitx ; export GTK_IM_MODULE="fcitx" ; fcitx ' > /etc/X11/Xsession.d/95xinput "
$sudo chmod +755 /etc/X11/Xsession.d/95xinput
注:在Dapper下省略后两步


哦什么我的第一句话就不通过,说找不到这个包,

我已经把fcitx解压了,并把当前路径切换到解压的文件夹里了。

输入法装了三天都没装上,郁闷死了。
头像
nobrain
帖子: 808
注册时间: 2005-08-25 13:58
来自: ustc
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 nobrain » 2006-05-24 16:26

首先,你的源都全了吗?建议把Breezy和Dapper的源都加到\etc\apt\sources.list里,因为现在dapper的源并不是很全(个人观点)。

代码: 全选

sudo apt-get update
sudo apt-get install fcitx
应该就能装了。

另外,你说把fcitx解压,是什么意思?
如果是deb包:

代码: 全选

sudo dpkg -i package_name
如果是rpm包:

代码: 全选

sudo alien -i package_name
如果是tar.gz(或类似的压缩文件的包),要自己编译并安装。
爱喝真猪奶茶的夜鸣猪
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 karron » 2006-05-24 17:06

楼上的,不要混用dapper和breezy的源!免得出问题.dapper和breezy的二进制包并不完全兼容的.

至于楼主,在ubuntu中建议都安装源里面的软件.其次就是别人编译好的deb包,当然如果你自己会编译也可以选择自己编译.

有关输入法之类的简单问题,建议你到主页去看看新手指南中的第一次设置指南.一步步的做下去.特别是要修改源.但是注意一点的是要分清你是哪个版本的ubuntu.
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
头像
nobrain
帖子: 808
注册时间: 2005-08-25 13:58
来自: ustc
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 nobrain » 2006-05-24 18:22

看来我得把breezy的源移除了 :o
爱喝真猪奶茶的夜鸣猪
回复

回到 “老旧版本支持”